public class NonDroppableCardHoldArea : CardHoldArea
{
    public override bool CanAddCard(Card card)
    {
        return false;
    }

    public override void RemoveCard(Card card)
    {
        if (cards.Contains(card))
        {
            cards.Remove(card);
            if (displayCount) countDisplay.text = cards.Count.ToString();
        }
    }

    public int GetCardCount()
    {
        return cards.Count;
    }

    public int GetSlotCount()
    {
        return cardSlots.transform.childCount;
    }
}
